gslbservice_lbmonitor_binding
Binding object showing the lbmonitor that can be bound to gslbservice.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| monstate | <String> | Read-write | State of the monitor bound to gslb service.
Possible values = ENABLED, DISABLED
|
| weight | <Integer> | Read-write | Weight to assign to the monitor-service binding. A larger number specifies a greater weight. Contributes to the monitoring threshold, which determines the state of the service.
Minimum value = 1
Maximum value = 100
|
| servicename | <String> | Read-write | Name of the GSLB service.
Minimum length = 1
|
| monitor_name | <String> | Read-write | Monitor name. |
| totalfailedprobes | <Integer> | Read-only | The total number of failed probs. |
| monstatcode | <Integer> | Read-only | The code indicating the monitor response. |
| monitortotalprobes | <Integer> | Read-only | Total number of probes sent to monitor this service. |
| monitortotalfailedprobes | <Integer> | Read-only | Total number of failed probes. |
| monstatparam2 | <Integer> | Read-only | Second parameter for use with message code. |
| failedprobes | <Integer> | Read-only | Number of the current failed monitoring probes. |
| lastresponse | <String> | Read-only | Displays the gslb monitor status in string format. |
| responsetime | <Integer> | Read-only | Response time of this monitor. |
| monstatparam3 | <Integer> | Read-only | Third parameter for use with message code. |
| monitor_state | <String> | Read-only | The running state of the monitor on this service.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| monitorcurrentfailedprobes | <Integer> | Read-only | Total number of currently failed probes. |
| monstatparam1 | <Integer> | Read-only | First parameter for use with message code. |
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- ADD
- DELETE
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
add
URL: http:// <netscaler-ip-address /nitro/v1/config/gslbservice_lbmonitor_binding HTTP Method: PUT
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Content-Type:application/json
Request Payload:
{
"gslbservice_lbmonitor_binding":{
<b>"servicename":<String_value>,
</b>"monitor_name":<String_value>,
"monstate":<String_value>,
"weight":<Integer_value>
}}
Response: HTTP Status Code on Success: 201 Created
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
delete
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> Query-parameters: args http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> ? args=monitor_name: <String_value>
HTTP Method: DELETE
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of gslbservice_lbmonitor_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the gslbservice_lbmonitor_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbservice_lbmonitor_binding": [ {
"monstate":<String_value>,
"weight":<Integer_value>,
"servicename":<String_value>,
"monitor_name":<String_value>,
"totalfailedprobes":<Integer_value>,
"monstatcode":<Integer_value>,
"monitortotalprobes":<Integer_value>,
"monitortotalfailedprobes":<Integer_value>,
"monstatparam2":<Integer_value>,
"failedprobes":<Integer_value>,
"lastresponse":<String_value>,
"responsetime":<Integer_value>,
"monstatparam3":<Integer_value>,
"monitor_state":<String_value>,
"monitorcurrentfailedprobes":<Integer_value>,
"monstatparam1":<Integer_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbservice_lbmonitor_binding": [ {
"monstate":<String_value>,
"weight":<Integer_value>,
"servicename":<String_value>,
"monitor_name":<String_value>,
"totalfailedprobes":<Integer_value>,
"monstatcode":<Integer_value>,
"monitortotalprobes":<Integer_value>,
"monitortotalfailedprobes":<Integer_value>,
"monstatparam2":<Integer_value>,
"failedprobes":<Integer_value>,
"lastresponse":<String_value>,
"responsetime":<Integer_value>,
"monstatparam3":<Integer_value>,
"monitor_state":<String_value>,
"monitorcurrentfailedprobes":<Integer_value>,
"monstatparam1":<Integer_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbservice_lbmonitor_binding/ servicename_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"gslbservice_lbmonitor_binding": [ { "__count": "#no"} ] }